;(function(window) {

var svgSprite = '<svg>' +
  ''+
    '<symbol id="icon-jingshi" viewBox="0 0 1024 1000">'+
      ''+
      '<path d="M512 1000q-135.7422 0-250.9766-66.8945t-182.1289-182.1289-66.8945-250.9766 66.8945-250.9766 182.1289-182.1289 250.9766-66.8945 250.9766 66.8945 182.1289 182.1289 66.8945 250.9766-66.8945 250.9766-182.1289 182.1289-250.9766 66.8945zM512 812.5q26.3672 0 44.4336-18.0664t18.0664-43.9453-18.5547-44.4336-43.9453-18.5547-43.9453 18.5547-18.5547 44.4336 18.0664 43.9453 44.4336 18.0664zM512 187.5q-51.7578 0-88.3789 36.6211t-36.6211 88.3789l62.5 250q0 26.3672 18.5547 44.4336t43.9453 18.0664 43.9453-18.0664 18.5547-44.4336l62.5-250q0-51.7578-36.6211-88.3789t-88.3789-36.6211z"  ></path>'+
      ''+
    '</symbol>'+
  ''+
    '<symbol id="icon-arrowleft" viewBox="0 0 1025 1024">'+
      ''+
      '<path d="M32.01024 512l480.01024 480.01024 0-288.01024 512 0 0-384-512 0 0-288.01024z"  ></path>'+
      ''+
    '</symbol>'+
  ''+
    '<symbol id="icon-arrowright" viewBox="0 0 1024 1024">'+
      ''+
      '<path d="M992.01024 512l-480.01024-480.01024 0 288.01024-512 0 0 384 512 0 0 288.01024z"  ></path>'+
      ''+
    '</symbol>'+
  ''+
    '<symbol id="icon-chehui" viewBox="0 0 1024 1024">'+
      ''+
      '<path d="M427.293786 169.894056l0-169.894056L90.576048 332.021871l336.717738 329.433124L427.293786 461.820448c101.924393 0 361.521547 2.28773 361.521547 273.865365 0 142.200482-99.094832 260.861426-230.940326 288.314187C769.610442 994.80134 933.423952 812.023752 933.423952 588.548651 933.423952 173.446058 497.490975 169.894056 427.293786 169.894056z"  ></path>'+
      ''+
    '</symbol>'+
  ''+
    '<symbol id="icon-fasong" viewBox="0 0 1024 1024">'+
      ''+
      '<path d="M1008 0L16 512l288 160v-73.28l-152.64-84.8L825.6 166.08 368 672v352l184-203.2L784 960zM432 857.92V748.8l64 38.72z m13.12-175.68L900.48 178.88l-160 681.28z"  ></path>'+
      ''+
    '</symbol>'+
  ''+
'</svg>'
var script = function() {
    var scripts = document.getElementsByTagName('script')
    return scripts[scripts.length - 1]
  }()
var shouldInjectCss = script.getAttribute("data-injectcss")

/**
 * document ready
 */
var ready = function(fn){
  if(document.addEventListener){
      document.addEventListener("DOMContentLoaded",function(){
          document.removeEventListener("DOMContentLoaded",arguments.callee,false)
          fn()
      },false)
  }else if(document.attachEvent){
     IEContentLoaded (window, fn)
  }

  function IEContentLoaded (w, fn) {
      var d = w.document, done = false,
      // only fire once
      init = function () {
          if (!done) {
              done = true
              fn()
          }
      }
      // polling for no errors
      ;(function () {
          try {
              // throws errors until after ondocumentready
              d.documentElement.doScroll('left')
          } catch (e) {
              setTimeout(arguments.callee, 50)
              return
          }
          // no errors, fire

          init()
      })()
      // trying to always fire before onload
      d.onreadystatechange = function() {
          if (d.readyState == 'complete') {
              d.onreadystatechange = null
              init()
          }
      }
  }
}

/**
 * Insert el before target
 *
 * @param {Element} el
 * @param {Element} target
 */

var before = function (el, target) {
  target.parentNode.insertBefore(el, target)
}

/**
 * Prepend el to target
 *
 * @param {Element} el
 * @param {Element} target
 */

var prepend = function (el, target) {
  if (target.firstChild) {
    before(el, target.firstChild)
  } else {
    target.appendChild(el)
  }
}

function appendSvg(){
  var div,svg

  div = document.createElement('div')
  div.innerHTML = svgSprite
  svg = div.getElementsByTagName('svg')[0]
  if (svg) {
    svg.setAttribute('aria-hidden', 'true')
    svg.style.position = 'absolute'
    svg.style.width = 0
    svg.style.height = 0
    svg.style.overflow = 'hidden'
    prepend(svg,document.body)
  }
}

if(shouldInjectCss && !window.__iconfont__svg__cssinject__){
  window.__iconfont__svg__cssinject__ = true
  try{
    document.write("<style>.svgfont {display: inline-block;width: 1em;height: 1em;fill: currentColor;vertical-align: -0.1em;font-size:16px;}</style>");
  }catch(e){
    console && console.log(e)
  }
}

ready(appendSvg)


})(window)
