cordova.define("com.yunke.plugins.WebFunc", function(require, exports, module) {
	var cordova = require('cordova'), exec = require('cordova/exec');

	var WebFunc = function() {
	};
	WebFunc.prototype.tohome = function(successFn, failureFn) {

		cordova.exec(successFn, failureFn, 'WebFunc', 'tohome', []);
	};
	WebFunc.prototype.tohome = function() {

		cordova.exec(null, null, 'WebFunc', 'tohome', []);
	};
	WebFunc.prototype.regcallback = function(callbackFn) {

		cordova.exec(callbackFn, null, 'WebFunc', 'regcallback', []);
	};
	WebFunc.prototype.unregcallback = function() {

		cordova.exec(null, null, 'WebFunc', 'unregcallback', []);
	};
	WebFunc.prototype.isscreenon = function(backFn) {

		cordova.exec(backFn, null, 'WebFunc', 'isscreenon', []);
	};
	WebFunc.prototype.forwardtourl = function(tourl) {

		cordova.exec(null, null, 'WebFunc', 'forwardtourl', [ tourl ]);
	};
	WebFunc.prototype.bindchannel = function() {

		cordova.exec(null, null, 'WebFunc', 'bindchannel', []);
	};
	WebFunc.prototype.docmd = function(successFn, failureFn, jsoncmd) {

		cordova.exec(successFn, failureFn, 'WebFunc', 'docmd', [ jsoncmd ]);
	};
	WebFunc.prototype.debug = function(params, msg, isforce) {

		cordova.exec(null, null, 'WebFunc', 'debug', [ params, msg, isforce ]);
	};
	WebFunc.prototype.filechoose = function(onresult, mimetype) {

		cordova.exec(onresult, null, 'WebFunc', 'filechoose', [ mimetype ]);
	};
	WebFunc.prototype.sharesend = function(onresult, mimetype,uri,title,info,from) {

		cordova.exec(onresult, null, 'WebFunc', 'sharesend', [ mimetype,uri,title,info,from]);
	};
	WebFunc.prototype.movefile = function(successFn, failureFn, srcFileName,
			destFileName) {

		cordova.exec(successFn, failureFn, 'WebFunc', 'movefile', [
				srcFileName, destFileName ]);
	};
	/**
	 * 设置屏幕状态
	 * 
	 * @param orientation
	 *            字符串，包含下面值： portrait:竖屏显示(高比宽要长) landscape:横屏显示（宽比高要长）
	 *            sensor:有物理的感应器来决定。如果用户旋转设备这屏幕会横竖屏切换。
	 *            nosensor:忽略物理感应器，这样就不会随着用户旋转设备而更改了（"unspecified"设置除外）。
	 *            unspecified:默认值 由系统来判断显示方向.判定的策略是和设备相关的，所以不同的设备会有不同的显示方向.
	 */
	WebFunc.prototype.setorientation = function(orientation) {

		cordova.exec(null, null, 'WebFunc', 'setOrientation', [ orientation ]);
	};
	/**
	 * 获取屏幕状态，成功后返回字串，"portrait"为竖屏，"landscape"为横屏
	 */
	WebFunc.prototype.getorientation = function(successFn, failureFn) {

		cordova.exec(successFn, failureFn, 'WebFunc', 'getOrientation', []);
	};

	/**
	 * 获取指定app包对应的程序是否安装 packageName:程序包名
	 */
	WebFunc.prototype.isAppInstalled = function(successFn, failureFn,
			packageName) {

		cordova.exec(successFn, failureFn, 'WebFunc', 'isAppInstalled',
				[ packageName ]);
	};

	/**
	 * 启动指定app包对应的程序 packageName:程序包名 extaName:扩展参数名，如果不需要指定为null
	 * extaValue:扩展参数值，如果不需要指定为null
	 */
	WebFunc.prototype.startApp = function(successFn, failureFn, packageName,
			extaName, extaValue) {

		cordova.exec(successFn, failureFn, 'WebFunc', 'startApp', [
				packageName, extaName, extaValue ]);
	};

	/**
	 * 执行加密POST传输，服务器端接收到的是一个JSON格式为：{ "version":"1.0" ,
	 * "data":"BASE64Encoder的AES加密数据"} url:要访问的url
	 * params:要传递的参数，要求必须JSON格式，对应页面以"params"可以获取到此JSON串 timeout:等待超时时间，单位毫秒
	 */
	WebFunc.prototype.doAESPost = function(successFn, failureFn, url, params,
			timeout) {

		cordova.exec(successFn, failureFn, 'WebFunc', 'doAESPost', [ url,
				params, timeout ]);
	};

	/**
	 * 打开MIME文件
	 * 
	 * @param datauri
	 *            MIME文件路径，当前支持文件全路径或者网络格式，网络格式采用两种协议来传输视频流一种是Http协议， 另一种是RTSP协议
	 * @param datatype
	 *            MIME数据格式，例如video/mp4
	 */
	WebFunc.prototype.open = function(datauri, datatype) {

		cordova.exec(null, null, 'WebFunc', 'open', [ datauri, datatype ]);
	};

	/**
	 * 判定是否有版本更新
	 */
	WebFunc.prototype.hasUpdate = function(successFn, failureFn) {

		cordova.exec(successFn, failureFn, 'WebFunc', 'hasUpdate', []);
	};

	/**
	 * 执行版本更新
	 */
	WebFunc.prototype.doUpdate = function(successFn, failureFn) {

		cordova.exec(successFn, failureFn, 'WebFunc', 'doUpdate', []);
	};

	var webfunc = new WebFunc();

	module.exports = webfunc;
});
